

!!! Listing 1

class hello
{
  public static void main (String argv[])
  {
    System.out.println("Hello World");
  }
}

!!! Ende Listing 1

!!! Listing 2

import java.awt.Graphics;

public class HelloApplet extends java.applet.Applet
{
   public void paint(Graphics g)
   {
       g.drawString("Hello World!", 5, 25);
   }
}

!!! Ende Listing 2

!!! Listing 3

// BildApplet.java
//

import java.awt.*;     // Referenzen der verwendeten Java Packages
import java.applet.Applet;

import Bild;           // Referenz zu eigener Klasse

public class BildApplet extends Applet
{
   // Attribute
   Bild        bild;
   Label       label;
   Button      button;

   // Member Funktionen
   public void init()
   {
      Image images[]     = new Image[4];
      String imagestr [] = { "bug000.xbm", "bug270.xbm",
                             "bug180.xbm", "bug090.xbm" };

      // Zuerst die Images laden
      for (int i=0; i < images.length; i++)
      {
         images[i] = getImage(getCodeBase(), "images/" + imagestr[i]);
      }

      // GUI erzeugen
      setLayout(new BorderLayout());

      label  = new Label("Java Beispiel in iX", Label.CENTER);
      add("North", label);

      bild = new Bild(images);
      add("Center", bild);
      bild.setBackground(Color.blue);

      button = new Button("Bild verschieben");
      add("South", button);

      verschieben();
   } // init

   public boolean action(Event e, Object arg)
   {
      System.out.println("Button gedrueckt");
      verschieben();
      return(true);
   } // action

   public void verschieben()
   {
      bild.verschieben();
   } // verschieben
}


!!! Ende Listing3

!!! Listing 4

//
// Bild.java
//

import java.awt.*; // Referenz auf das Abstract Window Toolkit

public class Bild extends Canvas
{
   // Attribute
   Image  images[];
   int    x = 0;
   int    y = 0;
   int    richtung = 3;
   Image  image;

   // Konstanten
   int    schrittweite = 10;

   // Member Funktionen
   public Bild(Image images[])
   {
      this.images = images;
      image       = images[0];
   } // Bild

   public void paint(Graphics g)
   {
      g.drawImage(image, x, y, this);
   } // paint

   public void verschieben()
   {
      Dimension groesse;
      int schrittweite = 20;
      int imagegroesse = 42;

      groesse = this.size();
      // Neue Position?
      switch (richtung)
      {
         case 0: // Nach rechts
            System.out.println("Nach rechts");
            if (x <= groesse.width-(imagegroesse+schrittweite))
            {
               x = x + schrittweite;
            }
            else
            {
               richtung = 1;
               x = groesse.width-imagegroesse;
            }
            break;
          case 1: // Nach unten
            System.out.println("Nach unten");
            if (y <= groesse.height-(imagegroesse+schrittweite))
            {
               y = y + schrittweite;
            }
            else
            {
               y = groesse.height-imagegroesse;
               richtung = 2;
            }
            break;
         case 2: // Nach links
            System.out.println("Nach links");
            if (x > imagegroesse)
            {
               x = x - schrittweite;
            }
            else
            {
               richtung = 3;
               x = 0;
            }
            break;
         case 3: // Nach oben
            System.out.println("Nach oben");
            if (y > imagegroesse)
            {
               y = y - schrittweite;
            }
            else
            {
               richtung = 0;
               y = 0;
            }
            break;
      }

      // Welches Bild?
      image = images[richtung];

      repaint();
   } // verschieben
}


!!! Ende Listing 4

